AutoCad - Convertir Textos a bloques

 
Vista:

Convertir Textos a bloques

Publicado por MARLON BARRIOS (11 intervenciones) el 17/02/2021 06:33:11
Utiliza este codigo y crea tu propio bloque para insertarlo
Cómo funciona? Mira este video


1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
(defun rtd (angulo) ; radianes a grados
 (/ (* angulo 180.0) pi)
)
 
(defun c:TAB()
 (setvar "CMDECHO" 0)
 (setvar "ATTDIA" 0)
 (setq seleccion1 (ssget '((0 . "TEXT"))))
 (repeat (setq i (sslength seleccion1))
  (setq seleccion2 (ssname seleccion1 (setq i (1- i))))
  (setq seleccion3 (entget seleccion2))
  (setq texto1 (cdr (assoc 1 seleccion3)))
  (setq escala1 (cdr (assoc 40 seleccion3)))
  (setq angulo (cdr (assoc 50 seleccion3)))
  (setq angulo2 (rtd angulo))
  (COMMAND "-insert" "C:\\TEMP\\BLOQUE_TEXTO.dwg" (cdr (assoc 10 seleccion3)) escala1 escala1 angulo2 texto1)
 );end repeat
 (setvar "ATTDIA" 1)
);
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder